Page MenuHomePhabricator

[clangd] Support offsets for parameters in signatureHelp
ClosedPublic

Authored by ilya-biryukov on May 27 2019, 2:21 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

ilya-biryukov created this revision.May 27 2019, 2:21 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 27 2019, 2:21 AM
  • Fix compilation when assertions are enabled
  • Fix parsing of a client capability, add a test for a capability
hokein accepted this revision.Jun 4 2019, 1:58 AM

nice, looks good

This revision is now accepted and ready to land.Jun 4 2019, 1:58 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 4 2019, 2:37 AM
uabelho added inline comments.
clang-tools-extra/trunk/clangd/CodeComplete.cpp
925

Hi!

gcc (7.4) warns on this code:

error: parameter 'Signal' set but not used [-Werror=unused-but-set-parameter]
                              SignatureQualitySignals Signal) const {
                                                      ^~~~~~

Should Signal be a reference? Or is it specifically not a reference right now due to the FIXME?

ilya-biryukov marked an inline comment as done.Jun 6 2019, 1:16 AM
ilya-biryukov added inline comments.
clang-tools-extra/trunk/clangd/CodeComplete.cpp
925

Should be a reference, thanks for bringing that up! I'll send a fix.

ilya-biryukov marked an inline comment as done.Jun 6 2019, 1:30 AM
ilya-biryukov added inline comments.
clang-tools-extra/trunk/clangd/CodeComplete.cpp
925

Removed this flag altogether in r362686, it is not used and has we have no tests for it.

uabelho added inline comments.Jun 6 2019, 10:15 PM
clang-tools-extra/trunk/clangd/CodeComplete.cpp
925

Thanks!